Subject: RE: mount type, compiler barf, and sym links
From: [email-masked] (Bjørn Hell Larsen)

21 Oct 1998 21:14:35 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: <[email-masked]>, <[email-masked]>, <[email-masked]>

Earnie writes:
> It is rather easy for the porter to fix with supplying the appropriate
> file processing mode switches to the open/fopen functions.  Treat all
> text files as text and treat all binary files as binary.  

The problem with this, again, it that creating strict divisions
between "text" and "binary" files, and "text" and "binary" tools
at times doesn't make much sense.

For instance, in the GNU-Win32 distribution, the tools "cat" and "grep"
are classified as "text tools", allowing them to handle MS files
with CRLF line separation and CTRL-Z end-of-file markers correctly.

Unfortunately, this also means that I won't be able to use the
tools the way I'm used to from my Unix days, i.e.

	cat part* | tar tzvf -

fails miserably, and 

	MATCHES=`grep -c pattern binaryfile`

won't do what I expected it to do.

I would much prefer a single global setting that I could toggle,
that would make all tools work in complete binary mode, under
the assumption that I *know* about the MS/Unix file format
differences, and would prefer to be left to deal with them
myself.

Bjorn

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".